org.apache.felix.ipojo.util

## Class Reflection

- java.lang.Object
- - org.apache.felix.ipojo.util.Reflection

    public class Reflection
    extends java.lang.Object

Class containing utility method helping reflection

### Constructor Summary

Constructors
Constructor and Description
`Reflection()`

### Method Summary

All Methods Static Methods Concrete Methods
`static <T> Fields<T>` `fields()`
`static <T> Methods<T>` `methods()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Reflection

    public Reflection()

### Method Detail

#### fields

    public static <T> Fields<T> fields()

#### methods

    public static <T> Methods<T> methods()